Bug 1685904 - Check mode problems in rhel-system-roles
Summary: Check mode problems in rhel-system-roles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Pavel Cahyna
QA Contact: David Jež
URL:
Whiteboard:
Depends On:
Blocks: 1691984 1716689
TreeView+ depends on / blocked
 
Reported: 2019-03-06 09:31 UTC by Pavel Cahyna
Modified: 2019-07-30 19:32 UTC (History)
2 users (show)

Fixed In Version: rhel-system-roles-1.0-6.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1691984 1716689 (view as bug list)
Environment:
Last Closed: 2019-07-30 19:32:33 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1995 None None None 2019-07-30 19:32:41 UTC
Github linux-system-roles timesync issues 27 None None None 2019-03-06 09:31:11 UTC

Description Pavel Cahyna 2019-03-06 09:31:11 UTC
Description of problem:
https://github.com/linux-system-roles/timesync/issues/27 documents a problem where the timesync role fails in check mode. Such problems are likely to be found in other roles, so we should examine all of them for check mode support and proper idempotency (second run should report no changes) and fix issues that we find.

Comment 2 Pavel Cahyna 2019-06-03 16:38:16 UTC
tests are available as tests/tests_default_wrapper.yml tests/tests_ssh_wrapper.yml for kdump, tests/tests_default_wrapper.yml for timesync.

Comment 6 errata-xmlrpc 2019-07-30 19:32:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1995


Note You need to log in before you can comment on or make changes to this bug.